summaryrefslogtreecommitdiffstats
path: root/src/ob-applypatches.sh
diff options
context:
space:
mode:
authorP. J. McDermott <pjm@nac.net>2013-09-08 17:32:35 (EDT)
committer P. J. McDermott <pjm@nac.net>2013-09-08 17:32:35 (EDT)
commit57b1d00e161aa8eb16bbbbf22fde585693f863d9 (patch)
tree4ce66dd9376e9bb74079c5fd563151f78a944a03 /src/ob-applypatches.sh
parentac1aac94d04c82e929b9f13e917fcf429feb91f5 (diff)
ob-applypatches: Skip non-existing files.
If the patches directory exists but is empty, ${patch} will be "../patches/*".
Diffstat (limited to 'src/ob-applypatches.sh')
-rw-r--r--src/ob-applypatches.sh1
1 files changed, 1 insertions, 0 deletions
diff --git a/src/ob-applypatches.sh b/src/ob-applypatches.sh
index a53d390..f3f0779 100644
--- a/src/ob-applypatches.sh
+++ b/src/ob-applypatches.sh
@@ -47,6 +47,7 @@ apply_patches()
orig_lang="${LANG}"
LANG='POSIX'
for patch in '../patches/'*; do
+ [ -f "${patch}" ] || continue
LANG="${orig_lang}"
patch="${patch#../patches/}"
ob_info "$(ob_get_msg 'applying_patch')" "${patch}"